# Detail_Filtre

## Props

<!-- @vuese:Detail_Filtre:props:start -->
|Name|Description|Type|Required|Default|
|---|---|---|---|---|
|nouveau_filtre|Variable de stockage des nouveaux filtres|—|`false`|-|
|deconnexion|Signal de deconnexion|—|`false`|-|
|darktheme|Signal d'activation ou non du theme sombre|—|`false`|-|

<!-- @vuese:Detail_Filtre:props:end -->


## Events

<!-- @vuese:Detail_Filtre:events:start -->
|Event Name|Description|Parameters|
|---|---|---|
|filtresChoisis|On transmet la liste des filtres maj (à destination finale de Volet_Base, pour mise à jour des contenus)|-|

<!-- @vuese:Detail_Filtre:events:end -->


## Methods

<!-- @vuese:Detail_Filtre:methods:start -->
|Method|Description|Parameters|
|---|---|---|
|supprimer|Supprimer un filtre (en l'enlevant de l'array filtres_choisis)|-|
|effacer_Filtres|Dégage tous les filtres choisis|-|
|changer_filtre_date|Le filtre date n'étant présent (au maximum) qu'en un seul exemplaire à chaque fois, une fonction pour le supprimer de la liste (pour le remettre par la suite)|-|
|filtreDejaPresent|Permet de détecter un éventuel doublon dans les filtres (ce qu'on veut éviter)|-|
|gererFiltreNote|Il n'est pas possible de cumuler plusieurs filtres de note qui se gêneraient, donc une fonction pour gérer ça Si on ajoute un filtre Borne -> on supprime les filtres noteMin et noteMax Et inversement, si on ajoute un filtre min ou max, on supprime l'éventuel filtre borne|-|
|affichageTag|Permet le raffinage de l'affichage si on a un tag libre|-|

<!-- @vuese:Detail_Filtre:methods:end -->


## Watch

<!-- @vuese:Detail_Filtre:watch:start -->
|Name|Description|Parameters|
|---|---|---|
|nouveau_filtre|Fonction de traitement dès qu'on réceptionne un nouveau filtre|-|
|deconnexion|A la deconnexion, on vide les filtres|-|

<!-- @vuese:Detail_Filtre:watch:end -->


